import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';

import 'card_builder.dart';

class PageBuilder {
  static Widget buildPage(BuildContext context, Future<PageData> data) {
    return FutureBuilder(
      builder: (context, snapshot) {
        if (snapshot.hasData) {
          PageData page = snapshot.data;
          return ListView.builder(
            itemBuilder: (context, index) {
              return _buildCardView(context, page, index);
            },
            itemCount: page.cardList.length,
          );
        } else if (snapshot.hasError) {
          return Center(
            child: Text("Some error occurs!"),
          );
        }
        return CircularProgressIndicator();
      },
      future: data,
    );
  }

  static Widget _buildCardView(BuildContext context, PageData page, int index) {
    List<CardData> cardList = page.cardList;
    CardData cardData = cardList[index];
    return CardBuilder.build(context, cardData);
  }
}
