import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/flutter_dynamic_ui.dart';
import 'package:flutter_dynamic_ui/manager/action_manager.dart';
import 'package:flutter_dynamic_ui/widget/img_view.dart';
import 'package:flutter_dynamic_ui/widget/meta_view.dart';

class DefaultBlock0 extends BaseBlock {
  static final type = "default_block_0";

  @override
  Widget createWidget(BuildContext context, BlockData data) {
    metaList = data.metaList;
    btnList = data.btnList;
    imgList = data.imgList;
    return InkWell(
      onTap: () {
        final action = ActionManager.getInstance().getBlockClickAction(data);
        action.doAction(context, UniqueKey(), data.actionData["click_event"]);
      },
      child: Stack(
        alignment: AlignmentDirectional.bottomEnd,
        children: [
          Column(
            mainAxisSize: MainAxisSize.max,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              ImgView(img: imgList[0]),
              MetaView(key: UniqueKey(), meta: metaList[0]),
              Row(
                mainAxisSize: MainAxisSize.min,
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  MetaView(key: UniqueKey(), meta: metaList[1]),
                  Image.network(
                    imgList[1].url,
                    width: 10,
                    height: 10,
                  )
                ],
              )
            ],
          ),
        ],
      ),
    );
  }
}
