import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/component/base_card.dart';
import 'package:flutter_dynamic_ui/flutter_dynamic_ui.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';

class HorizontalListCard extends BaseCard {
  static final type = "default_card_horizontal_list";

  @override
  Widget createWidget(BuildContext context, CardData cardData) {
    return Container(
      width: double.infinity,
      height: 160,
      child: ListView.separated(
        scrollDirection: Axis.horizontal,
        itemBuilder: (context, index) =>
            _buildItemView(context, cardData, index),
        itemCount: cardData.blockList.length,
        padding: EdgeInsets.all(10),
        separatorBuilder: (BuildContext context, int index) {
          return SizedBox(
            width: 12,
          );
        },
      ),
    );
  }

  Widget _buildItemView(BuildContext context, CardData cardData, int index) {
    BlockData blockData = cardData.blockList[index];
    return BlockManager.getInstance().getBlockWidget(context, blockData);
  }
}
