import 'dart:collection';

import 'package:flutter_dynamic_ui/component/base_action.dart';
import 'package:flutter_dynamic_ui/default/action/default_action.dart';
import 'package:flutter_dynamic_ui/default/block/default_block_0.dart';
import 'package:flutter_dynamic_ui/default/card/default_card_horizontal_list.dart';
import 'package:flutter_dynamic_ui/flutter_dynamic_ui.dart';

class DefaultBlockRegistry extends BlockRegistry {
  @override
  Map<String, BaseBlock> getMap() {
    Map<String, BaseBlock> map = HashMap();
    map[DefaultBlock0.type] = DefaultBlock0();
    return map;
  }
}

class DefaultCardRegistry extends CardRegistry {
  @override
  Map<String, BaseCard> getMap() {
    Map<String, BaseCard> map = HashMap();
    map[HorizontalListCard.type] = HorizontalListCard();
    return map;
  }
}

class DefaultActionRegistry extends ActionRegistry {
  @override
  Map<String, BaseAction> getMap() {
    Map<String, BaseAction> map = HashMap();
    map["action_nav_to_page"] = ActionNavToPage();
    return map;
  }
}
