import 'dart:convert';
import 'dart:io';

import 'package:flutter_dynamic_ui/api/parser.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';
import 'package:flutter_dynamic_ui/model/style_model.dart';
import 'package:http/http.dart' as http;

class HttpParser implements DataParser {
  @override
  Future<PageData> parsePageData(String url) async {
    final response = await http.get(url);
    if (response.statusCode == 200) {
      return PageData.fromJson(jsonDecode(response.body));
    } else {
      throw HttpException(
          "code:${response.statusCode},reason:${response.reasonPhrase}",
          uri: Uri.parse(url));
    }
  }

  @override
  Future<StylesData> parseStyleData(String url) async {
    final response = await http.get(url);
    if (response.statusCode == 200) {
      return StylesData.fromJson(jsonDecode(response.body));
    } else {
      throw HttpException(
          "code:${response.statusCode},reason:${response.reasonPhrase}",
          uri: Uri.parse(url));
    }
  }
}
