import 'dart:collection';

import 'package:flutter_dynamic_ui/component/base_action.dart';
import 'package:flutter_dynamic_ui/manager/registry.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';

class ActionManager {
  static ActionManager _instance;

  ActionManager._internal() {
    if (_actionMap == null) {
      _actionMap = HashMap();
    }
  }

  factory ActionManager.getInstance() => _getInstance();

  static ActionManager _getInstance() {
    if (_instance == null) {
      _instance = ActionManager._internal();
    }
    return _instance;
  }

  Map<String, BaseAction> _actionMap;
  final clickEvent = "click_event";

  void addRegistry(ActionRegistry registry) {
    _actionMap.addAll(registry.getMap());
  }

  BaseAction getBlockClickAction(BlockData data) {
    return _actionMap[data.actionData[clickEvent].actionType];
  }

  BaseAction getMetaClickAction(Meta meta) {
    return _actionMap[meta.actionData[clickEvent].actionType];
  }

  BaseAction getBtnClickAction(Btn btn) {
    return _actionMap[btn.actionData[clickEvent].actionType];
  }

  BaseAction getImgClickAction(Img img) {
    return _actionMap[img.actionData[clickEvent].actionType];
  }
}
