import 'package:flutter_dynamic_ui/flutter_dynamic_ui.dart';
import 'package:flutter_dynamic_ui/model/style_model.dart';

class StyleManager {
  static StyleManager _instance;

  StylesData _stylesData;

  StyleManager._internal();

  factory StyleManager.getInstance() => _getInstance();

  static _getInstance() {
    if (_instance == null) {
      _instance = StyleManager._internal();
    }
    return _instance;
  }

  void saveStylesData(StylesData data) {
    _stylesData = data;
  }

  ElementStyle getImgStyle(Img img) {
    if (_stylesData == null) {
      return null;
    }
    return _stylesData?.cssStyles[img.imgClass]?.value;
  }

  ElementStyle getMetaStyle(Meta meta) {
    if (_stylesData == null) {
      return null;
    }
    return _stylesData?.cssStyles[meta.metaClass]?.value;
  }

  ElementStyle getBtnStyle(Btn btn) {
    if (_stylesData == null) {
      return null;
    }
    return _stylesData?.cssStyles[btn.btnClass]?.value;
  }

  LayoutStyle getLayoutStyle(CardData data) {
    if (_stylesData == null) {
      return null;
    }
    return _stylesData?.layouts[data.cardClass];
  }
}
