import 'package:flutter/material.dart';
import 'package:flutter_dynamic_ui/flutter_dynamic_ui.dart';
import 'package:flutter_dynamic_ui/manager/style_manager.dart';

class ImgView extends StatefulWidget {
  final Img img;

  const ImgView({Key key, this.img}) : super(key: key);

  @override
  _ImgViewState createState() => _ImgViewState();
}

class _ImgViewState extends State<ImgView> {
  String _url;
  String _width;
  String _height;
  String _borderRadius;

  @override
  void initState() {
    _url = widget.img.url;
    _width = StyleManager.getInstance().getImgStyle(widget.img)?.width;
    _height = StyleManager.getInstance().getImgStyle(widget.img)?.height;
    _borderRadius =
        StyleManager.getInstance().getImgStyle(widget.img)?.borderRadius;
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius:
          BorderRadius.circular(double.tryParse(_borderRadius ?? "0.0")),
      child: Image.network(
        _url,
        width: double.tryParse(_width ?? ""),
        height: double.tryParse(_height ?? ""),
      ),
    );
  }
}
