import 'dart:ui';

import 'package:flutter/widgets.dart';
import 'package:flutter_dynamic_ui/manager/style_manager.dart';
import 'package:flutter_dynamic_ui/model/data_model.dart';
import 'package:flutter_dynamic_ui/style/style_utils.dart';

class MetaView extends StatefulWidget {
  final Meta meta;

  const MetaView({Key key, this.meta}) : super(key: key);

  @override
  _MetaViewState createState() => _MetaViewState();
}

class _MetaViewState extends State<MetaView> {
  Color _fontColor;
  double _fontSize;
  int _textLines;
  EdgeInsets _margin;
  EdgeInsets _padding;
  double _width;
  double _height;

  @override
  void initState() {
    final style = StyleManager.getInstance().getMetaStyle(widget.meta);
    _fontColor = style.fontColor.toColor();
    _fontSize = double.tryParse(style.fontSize ?? 14);
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Text(
      widget.meta.text,
      style: TextStyle(
        fontSize: _fontSize,
        color: _fontColor,
      ),
    );
  }
}
